Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.customizer
Class PropertyTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          javax.swing.table.DefaultTableModel
              datechooser.beans.customizer.PropertyTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class PropertyTableModel

extends javax.swing.table.DefaultTableModel

Customizer use table for properties visualization. This is its model.
Настройщик использует таблицу для отображения свойств. Это ее модель. Физически во всех ячейках хранятся имена соответсвующих свойств.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.DefaultTableModel
`columnIdentifiers, dataVector`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`PropertyTableModel(PropertyDescriptorsHolder holder)`

Method Summary
`java.lang.Class<?>` | `getColumnClass(int columnIndex)`
`java.lang.String` | `getColumnName(int column)`
`java.lang.Object` | `getValueAt(int row, int column)`
`boolean` | `isCellEditable(int row, int column)`

Methods inherited from class javax.swing.table.DefaultTableModel
`addColumn, addColumn, addColumn, addRow, addRow, convertToVector, convertToVector, getColumnCount, getDataVector, getRowCount, insertRow, insertRow, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount, setValueAt`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyTableModel

    public PropertyTableModel(PropertyDescriptorsHolder holder)

Method Detail

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int column)

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `getValueAt` in class `javax.swing.table.DefaultTableModel`

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.DefaultTableModel`

### getColumnClass

    public java.lang.Class<?> getColumnClass(int columnIndex)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.DefaultTableModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD